

from typing import Any


class Dad():
	def __init__(self) -> None:
		pass

	def __call__(self, *args: Any, **kwds: Any) -> Any:
		return True

	def foo(self):
		print("hello")

class TestCall(Dad):
	# def __init__(self):
	# 	pass

	# def __call__(self):
	# 	print("Class __call__")
		
	__call__ = Dad.foo


call = TestCall()
call()
print(isinstance(3, str))
# print(call())